/*
 * Chumby utility class
 * The start of a collection of static functions to 'do stuff'.
 * 
 * Version 1.0 - 01/07/08 - nick at vrtisworks.com
 * 
 */
class StaticHelpers {
	
	//Some color constants.. just for kicks...
	static var WHITE:Number = 0xffffff;
	static var BLACK:Number = 0x000000;
	static var BLUE_1:Number = 0x3A71C6;
	static var BLUE_2:Number = 0x5484CE;
	static var BLUE_3:Number = 0x1B5ABD;
	
	static function drawRect(mc:MovieClip, x:Number, y:Number, w:Number, h:Number, color:Number)
	{
		if (color != undefined) {
			mc.beginFill(color);
		}

		mc.moveTo(x,   y);
		mc.lineTo(x,   y+h);
		mc.lineTo(x+w, y+h);
		mc.lineTo(x+w, y);

		if (color != undefined) {
			mc.endFill();
		}
	}
	static function dumpVar(theVar:Object):String {
		var info:String = 'dumpVar ['+theVar+"]\n";
		var value:Object;
		for	(var v in theVar) {
			value = theVar[v];
			info = info +' ' + v + ': ' + value + ' / ' + typeof(value) + "\n";
		}
		return info;
	}

}