<?php
/* Chumby2MDP - Interface.
  GNU/GPL - nick at vrtisworks dot com
  version 0.1 - 2008
*/
// PhpMusicPlayer+
// Copyleft (c) 2004 BohwaZ, GNU/GPL
// General file

# for debugging
error_reporting(E_ALL);

$version = "0.1";     # Version of this client

// Transform a seconds time in human-readable time
function secToTimeStr($secs) {
    $minute = 60;
    $hour = $minute*60;
    $day = 24*$hour;

    $days = (int)($secs/$day);
    $secs2 = $secs;
    $secs2 -= $days * $day;

    $hours = (int)($secs2/$hour);
    $secs2 -= $hours * $hour;

    $minutes = (int)($secs2/$minute);
    $secs2 -= $minutes*$minute;
    $seconds = $secs2;
    if($seconds<10) $seconds = "0$seconds";
    if($minutes<10) $minutes = "0$minutes";
    if($hours<10) $hours = "0$hours";

    $timestring='';
    if (round($days))    $timestring .= round($days).' days ';
    if (round($hours))   $timestring .= round($hours)."h ";
    if (round($minutes)) $timestring .= round($minutes)."m";
    if (!round($minutes)&&!round($hours)&&!round($days)) $timestring.=" ".round($seconds)."s";
    return $timestring;
}

function GetSongTitle($songInfo, $display)
{
    //$display = $GLOBALS['userConfig']['song_display'];
    $songInfo['filename'] = substr($songInfo['file'],strrpos($songInfo['file'],"/")+1);
    $songInfo['filename'] = substr($songInfo['filename'],0,strrpos($songInfo['filename'],"."));
    $songInfo['filename'] = str_replace("_"," ",$songInfo['filename']);
    $replace = array(
        "artist"    =>  array_key_exists("Artist",$songInfo) ? $songInfo['Artist'] : '',
        "album"     =>  array_key_exists("Album",$songInfo) ? $songInfo['Album'] : '',
        "file"      =>  $songInfo['file'],
        "track"     =>  array_key_exists("Track",$songInfo) ? $songInfo['Track'] : '',
        "title"     =>  array_key_exists("Title",$songInfo) ? $songInfo['Title'] : '',
        "filename"  =>  $songInfo['filename']);

    $display = explode("??",$display);
    if(empty($songInfo['Artist']) && empty($songInfo['Title']))
    {
        $display = $display[1];
        if(empty($display)) $display = "file";
    }
    else
        $display = $display[0];

    $out = strtr($display,$replace);
    return $out;
}
function send_responses($thelist) {
    if (count($thelist)>0) {
        foreach ($thelist as $k=>$v) {
            print '&'.$k.'='.urlencode($v);
        }
    }
}
?>